{
  pkgs,
  buildPythonPackage,
  migen,
  litex,
}:
buildPythonPackage rec {
  pname = "litescope";
  version = "2024.12";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "litescope";
    rev = "${version}";
    hash = "sha256-BlDEiM65oOLTc6nXYNyBPn+XLni6EhRdNjkZgs+gDwE=";
  };

  buildInputs = [
    litex
    migen
  ];

  doCheck = true;
}
