{
  pkgs,
  lib,
  buildPythonPackage,
  migen,
  pyyaml,
}:
buildPythonPackage rec {
  pname = "litedram";
  version = "2024.12";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "litedram";
    rev = "${version}";
    hash = "sha256-IlqaB6zocfo5MCvmNJYdsNOuLjz07f3yTwL/wTqPq8E=";
  };

  buildInputs = [
    pyyaml
    migen
  ];

  doCheck = true;
}
