{
  pkgs,
  lib,
  buildPythonPackage,
  migen,
  setuptools,
  litex,
}:
buildPythonPackage rec {
  pname = "litespi";
  version = "2024.12";

  src = pkgs.fetchFromGitHub {
    owner = "litex-hub";
    repo = "litespi";
    rev = "${version}";
    hash = "sha256-BiRyYCysr7Sb/XPYzUz8vSKtEmRz/p/2RMxX8Bmyrd4=";
  };

  buildInputs = [
    litex
  ];

  propagatedBuildInputs = [
    migen
  ];

  nativeCheckInputs = [
  ];

  doCheck = true;
}
